#include<iostream.h>

void main(void)
{
	int t,RWer;
	double RV,p,p0;
	
	srand((unsigned int)time(NULL));
	
	RWer=0;//ランダムウォーカーの初期位置
	p=0.3;//原点以外で左に移動する確率
	p0=0.1;//原点で原点にとどまる確率
	
	//100回移動させる
	for(t=0;t<100;t++)
	{
		RV=(double)rand()/(double)(RAND_MAX+1);
		
		//ランダムウォーカーの移動
		if(RWer==0)
		{
			if(RV<p0)	RWer=RWer;//その場にとどまる
			else	RWer++;//右に移動
		}
		else
		{
			if(RV<p)	RWer--;//左に移動
			else	RWer++;//右に移動
		}
	}
	
	printf("100回移動した後のランダムウォーカーの位置=%d",RWer);
}
